Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.sax.component
Class TraxErrorListener

    java.lang.Object
      org.apache.cocoon.sax.component.TraxErrorListener

All Implemented Interfaces:
  ErrorListener

    public class TraxErrorListener

extends Object
implements ErrorListener

A smart error listener for `javax.xml.tranform` that does its best to provide useful error messages.

Version:
  $Id: TraxErrorListener.java 740554 2009-02-04 01:10:39Z reinhard $

Constructor Summary
`TraxErrorListener(Log log, String uri)`

Method Summary
`void` | `error(TransformerException ex)`
`void` | `fatalError(TransformerException ex)`
`Throwable` | `getThrowable()` Get the exception that was catched by this listener, if any.
`void` | `warning(TransformerException ex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TraxErrorListener

    public TraxErrorListener(Log log,
                             String uri)

Method Detail

### error

    public void error(TransformerException ex)
               throws TransformerException

  Specified by:
    `error` in interface `ErrorListener`
  Throws:
    `TransformerException`
  See Also:
    `ErrorListener.error(javax.xml.transform.TransformerException)`

### fatalError

    public void fatalError(TransformerException ex)
                    throws TransformerException

  Specified by:
    `fatalError` in interface `ErrorListener`
  Throws:
    `TransformerException`

### getThrowable

    public Throwable getThrowable()

  Get the exception that was catched by this listener, if any.

  Returns:
    the exception

### warning

    public void warning(TransformerException ex)
                 throws TransformerException

  Specified by:
    `warning` in interface `ErrorListener`
  Throws:
    `TransformerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.